Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.AnonymousInnerClassDeclarationContext

- org.apache.groovy.parser.antlr4.GroovyParser.AnonymousInnerClassDeclarationContext

-     public static class GroovyParser.AnonymousInnerClassDeclarationContext
      extends GroovyParserRuleContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `int` | `t` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AnonymousInnerClassDeclarationContext(ParserRuleContext parent, int invokingState)`
    `AnonymousInnerClassDeclarationContext(ParserRuleContext parent, int invokingState, int t)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public ClassBodyContext` | `classBody()`
    `` | `public int` | `getRuleIndex()`

- - ### Field Detail

    - #### public int t

  - ### Constructor Detail

    - #### public AnonymousInnerClassDeclarationContext(ParserRuleContext parent, int invokingState)

    - #### public AnonymousInnerClassDeclarationContext(ParserRuleContext parent, int invokingState, int t)

  - ### Method Detail

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public ClassBodyContext classBody()

    - #### @Override
      public int getRuleIndex()